@font-face {
    font-family: 'Roboto_Condensed';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/Roboto Condensed.woff') format('woff');
}

*, *:before, *:after, a {
    box-sizing: border-box;
    outline: none;
}

html {
    font-size: 100%;
}

body {
    width: 100%;
    height: 100%;
    position: relative;
    margin: 0;
    padding: 0;
    color: #000000;
    background-color: #ffffff;
    font-family: 'Roboto Condensed';
    -webkit-text-size-adjust: none;
    -webkit-font-smoothing: antialiased;
}

body:before {
    content: '';
    height: 50vh;
    width: 100%;
    position: fixed;
    left: 0;
    background: -moz-linear-gradient(top, #7ED2F6 10%, #00ACD3 50%, #204979 100%);
    background: -webkit-linear-gradient(top, #7ED2F6 10%, #00ACD3 50%, #204979 100%);
    background: linear-gradient(to bottom, #7ED2F6 10%, #00ACD3 50%, #204979 100%);
    z-index: 20;
    border-bottom: 1px solid #ffffff;
}

body:after {
    content: '';
    height: 50vh;
    width: 100%;
    position: fixed;
    left: 0;
    background: -moz-linear-gradient(bottom, #7ED2F6 10%, #00ACD3 50%, #204979 100%);
    background: -webkit-linear-gradient(bottom, #7ED2F6 10%, #00ACD3 50%, #204979 100%);
    background: linear-gradient(to top, #7ED2F6 10%, #00ACD3 50%, #204979 100%);
    z-index: 20;
    border-top: 1px solid #ffffff;
}

body:before {
    top: 0;
    transform: translateY(-100%);
}

body:after {
    bottom: 0;
    transform: translateY(100%);
}

a:link, a:visited, a:focus, a:hover {
    outline: none;
    text-decoration: none;
}

input, textarea, button, select {
    outline: none;
    font-family: 'Roboto Condensed';
    font-size: 100%;
    -webkit-appearance: none;
}




/* индикатор загрузки */
#loader_screen {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    z-index: 500;
}

.loader {
    margin: 0 auto;
    width: 60px;
    height: 50px;
    text-align: center;
    font-size: 10px;
    z-index: 510;
    opacity: 0;
}

.loader > div {
    height: 100%;
    width: 8px;
    display: inline-block;
    float: left;
    margin-left: 2px;
    animation: delay .8s infinite ease-in-out;
}

.loader .bar1 {
    background-color: #ff639a;
}

.loader .bar2 {
    background-color: #ff639a;
    animation-delay: -.7s;
}

.loader .bar3 {
    background-color: #ff639a;
    animation-delay: -.6s;
}

.loader .bar4 {
    background-color: #ff639a;
    animation-delay: -.5s;
}

.loader .bar5 {
    background-color: #ff639a;
    animation-delay: -.4s;
}

.loader .bar6 {
    background-color: #ff639a;
    animation-delay: -.3s;
}

@keyframes delay {
    0%, 40%, 100% {
                transform: scaleY(.05);
        -webkit-transform: scaleY(.05);
    }
    20% {
                transform: scaleY(1);
        -webkit-transform: scaleY(1);
    }
}


/* фон */
#content_back {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -10;
    background: -moz-linear-gradient(top, #7ED2F6 10%, #00ACD3 50%, #204979 100%);
    background: -webkit-linear-gradient(top, #7ED2F6 10%, #00ACD3 50%, #204979 100%);
    background: linear-gradient(to bottom, #7ED2F6 10%, #00ACD3 50%, #204979 100%);
}

.content_back_topright_star {
    position: fixed;
    width: 25vw;
    height: 100vh;
    top: 0;
    right: 0;
    background-image: url(../images/top_right_star.svg);
    background-position: right top;
    background-size: 100%;
    background-repeat: no-repeat;
}

.content_back_rotated_star1 {
    position: fixed;
    width: 8vw;
    height: 8vw;
    top: 18%;
    left: 3%;
    background-image: url(../images/rotated_star.svg);
    background-position: center center;
    background-size: 100%;
    background-repeat: no-repeat;

    -webkit-animation-name: star-spin;
    -webkit-animation-duration: 10000ms;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;

    -moz-animation-name: star-spin;
    -moz-animation-duration: 10000ms;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;

    -ms-animation-name: star-spin;
    -ms-animation-duration: 10000ms;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;

    animation-name: star-spin;
    animation-duration: 10000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

.content_back_rotated_star2 {
    position: fixed;
    width: 15vw;
    height: 15vw;
    bottom: 15%;
    left: 10%;
    background-image: url(../images/rotated_star.svg);
    background-position: center center;
    background-size: 100%;
    background-repeat: no-repeat;

    -webkit-animation-name: star-spin;
    -webkit-animation-duration: 10000ms;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;

    -moz-animation-name: star-spin;
    -moz-animation-duration: 10000ms;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;

    -ms-animation-name: star-spin;
    -ms-animation-duration: 10000ms;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;

    animation-name: star-spin;
    animation-duration: 10000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

.content_back_rotated_star3 {
    position: fixed;
    width: 20vw;
    height: 20vw;
    bottom: -15%;
    right: 10%;
    background-image: url(../images/rotated_star.svg);
    background-position: center center;
    background-size: 100%;
    background-repeat: no-repeat;

    -webkit-animation-name: star-spin;
    -webkit-animation-duration: 10000ms;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;

    -moz-animation-name: star-spin;
    -moz-animation-duration: 10000ms;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;

    -ms-animation-name: star-spin;
    -ms-animation-duration: 10000ms;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;

    animation-name: star-spin;
    animation-duration: 10000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@-ms-keyframes star-spin { from { -ms-transform: rotate(0deg); } to { -ms-transform: rotate(360deg); } }
@-moz-keyframes star-spin { from {-moz-transform: rotate(0deg); } to { -moz-transform: rotate(360deg); } }
@-webkit-keyframes star-spin { from {-webkit-transform: rotate(0deg); } to { -webkit-transform: rotate(360deg); } }
@keyframes star-spin { from { transform: rotate(0deg); } to { transform: rotate(360deg); } }

.content_back_heart1 {
    position: fixed;
    width: 3vw;
    height: 3vw;
    top: 30%;
    left: 20%;
    background-image: url(../images/heart.png);
    background-position: center center;
    background-size: 100%;
    background-repeat: no-repeat;

    -webkit-animation-name: heartbeat;
    -webkit-animation-duration: 1500ms;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;

    -moz-animation-name: heartbeat;
    -moz-animation-duration: 1500ms;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;

    -ms-animation-name: heartbeat;
    -ms-animation-duration: 1500ms;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;

    animation-name: heartbeat;
    animation-duration: 1500ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

.content_back_heart2 {
    position: fixed;
    width: 4vw;
    height: 4vw;
    top: 37%;
    left: 22%;
    background-image: url(../images/heart.png);
    background-position: center center;
    background-size: 100%;
    background-repeat: no-repeat;

    -webkit-animation-name: heartbeat;
    -webkit-animation-duration: 1500ms;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;

    -moz-animation-name: heartbeat;
    -moz-animation-duration: 1500ms;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;

    -ms-animation-name: heartbeat;
    -ms-animation-duration: 1500ms;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;

    animation-name: heartbeat;
    animation-duration: 1500ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

.content_back_heart3 {
    position: fixed;
    width: 5vw;
    height: 5vw;
    top: 45%;
    left: 24%;
    background-image: url(../images/heart.png);
    background-position: center center;
    background-size: 100%;
    background-repeat: no-repeat;

    -webkit-animation-name: heartbeat;
    -webkit-animation-duration: 1500ms;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;

    -moz-animation-name: heartbeat;
    -moz-animation-duration: 1500ms;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;

    -ms-animation-name: heartbeat;
    -ms-animation-duration: 1500ms;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;

    animation-name: heartbeat;
    animation-duration: 1500ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
@keyframes heartbeat {
    0% {
        transform: scale(1);
    }

    80% {
        transform: scale(1);
    }
    90% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(1);
    }
}

@media all and (min-width: 1px)and (max-width: 640px) {

    .content_back_topright_star { top: 45px; }

    .content_back_rotated_star1 {
        width: 40vw;
        height: 40vw;
        top: 5%;
        left: -15%;
        opacity: 0.2;
    }

    .content_back_rotated_star2 {
        width: 100vw;
        height: 100vw;
        bottom: -30%;
        left: -30%;
        opacity: 0.2;
    }

    .content_back_heart1 { display: none; }
    .content_back_heart2 { display: none; }
    .content_back_heart3 { display: none; }

}





/* контент */
.content_center {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    padding-top: 100px;
}

.content_table {
    display: table;
    width: 100%;
    height: calc(100vh - 100px);
}

.content_row {
    display: table-row;
    width: 100%;
    height: calc(100vh - 100px);
}

.content_cell {
    display: table-cell;
    width: 100%;
    height: calc(100vh - 100px);
    text-align: center;
    vertical-align: middle;
}

.content_scroll {
    display: inline-block;
    width: 100%;
    max-width: 35vw;
    height: auto;
}

.content_body {}

@media all and (min-width: 1px)and (max-width: 640px) {

    .content_scroll { max-width: 95vw; }
    .content_center { padding-top: 70px; }

}




/* условия конкурса */
#layer_rules {
    z-index: 50;
}

#layer_rules_overlay {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.8);
    z-index: 40;
}

.rules_center {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    padding-top: 100px;
}

.rules_table {
    display: table;
    width: 100%;
    height: calc(100vh - 100px);
}

.rules_row {
    display: table-row;
    width: 100%;
    height: calc(100vh - 100px);
}

.rules_cell {
    display: table-cell;
    width: 100%;
    height: calc(100vh - 100px);
    text-align: center;
    vertical-align: middle;
}

#rules_body {
    display: inline-block;
    background: #ffffff;
    border-radius: 1rem;
    padding: 1rem;
    width: 100%;
    max-width: 35vw;
    height: auto;
}

#rules_text {
    overflow-y: scroll;
    max-height: calc(60vh - 100px);
    text-align: left;
    padding: 0.5rem;
}

.rules_header {
    text-align: center;
    font-weight: 700;
    font-size: 150%;
}

.rules_subheader {
    text-align: left;
    font-weight: 700;
}

#rules_close_line {
    width: 100%;
    text-align: center;
    margin-top: 1rem;
}

#rules_close_button {
    display: inline-block;
    width: 150px;
    font-size: 100%;
    font-weight: 700;
    color: #ffffff;
    text-align: center;
    padding: 0.3rem;
    border-radius: 0.5rem;
    background: #204979;
    cursor: pointer;
}


@media all and (min-width: 641px)and (max-width: 1600px) {

    #rules_text { font-size: 80%; }

}

@media all and (min-width: 1px)and (max-width: 640px) {

    #rules_body { max-width: 95vw; }
    #rules_text { font-size: 90%; }
    .rules_header { font-size: 120%; }

}


/* начальная страница */
#layer_test {
    z-index: 10;
}

#fist_page_logo_line {
    width: 100%;
    text-align: center;
    border-radius: 1rem;
    background: #ffffff;
    padding: 1rem;
    margin-bottom: 2rem;
}

#fist_page_logo {
    width: 20vw;
    height: auto;
}

#fist_page_slogan {
    color: #00ACD3;
    font-size: 150%;
    font-weight: 700;
    margin-top: 1rem;
    line-height: 100%;
}


#fist_page_rules_link {
    position: fixed;
    left: 1rem;
    bottom: 1rem;
    display: inline-block;
    color: #ffffff;
    font-size: 90%;
    padding: 1rem;
    text-decoration: underline;
    cursor: pointer;
    z-index: 100;
}

.fist_page_info {
    color: #ffffff;
    font-size: 130%;
    font-weight: 400;
    text-align: center;
    line-height: 100%;
    margin-bottom: 1rem;
}

.fist_page_info a {
    color: #38D1FF;
}

.fist_page_quest {
    color: #ffffff;
    font-size: 150%;
    font-weight: 700;
    margin-bottom: 1rem;
    margin-top: 2rem;
}

#fist_page_button_line {
    width: 100%;
    text-align: center;
}

.next_button {
    display: inline-block;
    width: 200px;
    font-size: 150%;
    font-weight: 700;
    color: #ffffff;
    text-align: center;
    padding: 1rem;
    border-radius: 1rem;
    background: -moz-linear-gradient(top, #ff639a 0%, #d22e61 100%);
    background: -webkit-linear-gradient(top, #ff639a 0%, #d22e61 100%);
    background: linear-gradient(to bottom, #ff639a 0%, #d22e61 100%);
    cursor: pointer;
}


@media all and (min-width: 641px)and (max-width: 1600px) {
    #fist_page_logo_line { margin-bottom: 1rem; }
    #fist_page_logo { width: 20vw; }
    #fist_page_slogan { font-size: 130%; margin-top: 0.5rem; }
    #fist_page_rules_link { font-size: 80%; padding: 0.2rem; }
    .fist_page_info { font-size: 100%; margin-bottom: 1rem; }
    .fist_page_quest { font-size: 100%; margin-bottom: 0.5rem; margin-top: 2rem; }
    #fist_page_button { font-size: 120%; padding: 0.7rem; }
    .next_button { font-size: 90%; padding: 0.7rem; }
}

@media all and (min-width: 1px)and (max-width: 640px) {
    #fist_page_logo { width: 70vw; }
    .next_button { font-size: 120%; padding: 0.7rem; margin-bottom: 0.5rem; }
    #fist_page_button { font-size: 110%; padding: 1rem; margin-bottom: 2rem; }
    #fist_page_slogan { font-size: 110%; margin-top: 0.5rem; }
    #fist_page_rules_link { font-size: 80%; padding: 0.3rem; left: 0px; bottom: 0px; width: 100%; text-align: center; background: #204979; }
    .fist_page_info { font-size: 100%; margin-bottom: 1rem; }
    .fist_page_quest { font-size: 120%; margin-bottom: 0.5rem; margin-top: 1rem; }
}




/* вопросы */
.quest_page_num {
    width: 100%;
    text-align: center;
    color: #ffffff;
    font-size: 120%;
    font-weight: 700;
}

.swiper_block {
    background: #ffffff;
    padding: 1rem;
    border-radius: 4px;
}

.swiper-slide {
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;

}

.swiper-slide:before{
    content: "";
    display: block;
    padding-top: 56%;
}

.quest_page_name {
    width: 100%;
    text-align: center;
    color: #204979;
    font-size: 150%;
    font-weight: 700;
    padding-bottom: 0.5rem;
}

.quest_page_question {
    width: 100%;
    text-align: center;
    color: #7ED2F6;
    font-size: 130%;
    font-weight: 700;
    padding: 0.5rem;
}

.quest_page_button_grid {
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;

    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;

    -webkit-justify-content: space-between;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.quest_page_button {
    display: block;
    width: calc(50% - 2px);
    font-size: 120%;
    color: #ffffff;
    text-align: center;
    padding: 1rem;
    background: #204979;
    margin-top: 4px;
    border-radius: 4px;
    transition: all 800ms;
}

.quest_page_active_button {
    cursor: pointer;
}

.quest_page_active_button:hover {
    background: -moz-linear-gradient(top, #ff639a 0%, #d22e61 100%);
    background: -webkit-linear-gradient(top, #ff639a 0%, #d22e61 100%);
    background: linear-gradient(to bottom, #ff639a 0%, #d22e61 100%);

}

.quest_page_replay {
    width: 100%;
    text-align: center;
    color: #ffffff;
    font-size: 130%;
    font-weight: 800;
    padding: 0.5rem;
}

#quest_next_button {
    display: inline-block;
    width: 200px;
    font-size: 150%;
    font-weight: 700;
    color: #ffffff;
    text-align: center;
    padding: 1rem;
    border-radius: 1rem;
    background: -moz-linear-gradient(top, #ff639a 0%, #d22e61 100%);
    background: -webkit-linear-gradient(top, #ff639a 0%, #d22e61 100%);
    background: linear-gradient(to bottom, #ff639a 0%, #d22e61 100%);
    cursor: pointer;
}

@media all and (min-width: 641px)and (max-width: 1600px) {
    .quest_page_name { font-size: 140%; padding-bottom: 0.2rem; }
    .quest_page_question { font-size: 120%; padding: 0.3rem; }
    .quest_page_button { font-size: 100%; padding: 0.3rem; }
    .quest_page_replay { font-size: 120%; padding: 0.4rem; }
    .swiper_block { padding: 0.5rem; }
}

@media all and (min-width: 1px)and (max-width: 640px) {
    .quest_page_name { font-size: 120%; padding-bottom: 0.2rem; }
    .quest_page_question { font-size: 100%; padding: 0.3rem; }
    .quest_page_button { font-size: 100%; padding: 0.5rem; }
    .quest_page_replay { font-size: 100%; padding: 0.5rem; }
    .swiper_block { padding: 0.5rem; }
}


/* финальная страница */
#last_page_result_count {
    width: 100%;
    text-align: center;
    color: #ffffff;
    font-weight: 700;
    margin-bottom: 1rem;
}

.last_page_image_block {
    width: 100%;
    background: #ffffff;
    padding: 1rem;
    border-radius: 4px;
    margin-bottom: 1rem;
}

.last_page_image {
    width: 100%;
    height: auto;
}

.last_page_info {
    color: #ffffff;
    font-size: 120%;
    line-height: 100%;
    margin-bottom: 1rem;
    text-align: center;
    margin-bottom: 2rem;
}

.last_page_info a { color: #38D1FF; }

.last_page_share_header {
    width: 100%;
    text-align: center;
    color: #ffffff;
    font-weight: 700;
}

.email_input_line {
    width: 100%;
    text-align: center;
    margin-bottom: 1rem;
    color: #38D1FF;
}

.email_input {
    border: 1px solid #ffffff;
    background: none;
    border-radius: 4px;
    padding: 0.3rem;
    color: #ffffff;
    width: 150px;
    height: 2rem;
    line-height: 2rem;
}

.email_input::placeholder {
    color: rgba(255, 255, 255, 0.3);
}

.email_send_button {
    display: inline-block;
    font-size: 80%;
    color: #ffffff;
    text-align: center;
    background: #204979;
    margin-top: 4px;
    border-radius: 4px;
    width: 150px;
    height: 2rem;
    line-height: 2rem;
    font-weight: 700;
    cursor: pointer;
}

@media all and (min-width: 641px)and (max-width: 1600px) {

    #last_page_result_count { margin-bottom: 0.3rem; }
    .last_page_image_block { margin-bottom: 0.5rem; padding: 0.5rem; }
    .last_page_info { font-size: 85%; margin-bottom: 0.5rem; }
    .email_input { height: 1.5rem; line-height: 1rem; }
    .email_send_button { height: 1.5rem; line-height: 1.5rem; }

}